Commit 54f52ab3 authored by Ted Trask's avatar Ted Trask

Merge branch 'master' of git://dev.alpinelinux.org/aports

parents 8a4b1e3b 0fb9e8f5
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgdesc="Script to build Alpine Packages"
pkgname=abuild
pkgver=2.0.1
pkgver=2.1
pkgrel=0
url=http://git.alpinelinux.org/cgit/abuild/
source="http://git.alpinelinux.org/cgit/abuild/snapshot/abuild-$pkgver.tar.bz2
......@@ -18,4 +18,4 @@ build() {
install -m 644 abuild.conf "$pkgdir"/etc/abuild.conf
}
md5sums="50d4d0552b4ab2a394422b7ff3016124 abuild-2.0.1.tar.bz2"
md5sums="2268fa6147c8088139ef136184cd2ae0 abuild-2.1.tar.bz2"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-conf
pkgver=2.0_rc9
pkgver=2.0
pkgrel=0
pkgdesc="Alpine configuration management scripts"
url=http://git.alpinelinux.org/cgit/$pkgname
......@@ -18,4 +18,4 @@ build() {
ln -s lbu "$pkgdir"/sbin/lbu_$i
done
}
md5sums="2eec332e42c5573b89d1f165dac2796f alpine-conf-2.0_rc9.tar.bz2"
md5sums="0aa966ef854de61b375d7e08bdb105b4 alpine-conf-2.0.tar.bz2"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alsa-lib
pkgver=1.0.21a
pkgrel=0
pkgrel=1
pkgdesc="An alternative implementation of Linux sound support"
url="http://www.alsa-project.org"
license="GPL"
depends=
subpackages="$pkgname-dev"
source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2
nocxx.patch"
source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2"
build ()
{
cd "$srcdir/$pkgname-$pkgver"
patch configure < ../nocxx.patch || return 1
./configure --prefix=/usr --disable-python
./configure --prefix=/usr \
--disable-python \
--disable-static \
--disable-resmgr \
--enable-rawmidi \
--enable-seq \
--enable-aload \
--disable-dependency-tracking \
|| return 1
make || return 1
}
package() {
cd "$srcdir/$pkgname-$pkgver"
make -j1 DESTDIR="$pkgdir" install
}
md5sums="914685deb8c23cb4b940a4173cf8efe4 alsa-lib-1.0.21a.tar.bz2
28513788ba4d556ccd538867dc6205ab nocxx.patch"
md5sums="914685deb8c23cb4b940a4173cf8efe4 alsa-lib-1.0.21a.tar.bz2"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
From d67ee300b6cbd9deaaa8c5e506e836e253f7b77d Mon Sep 17 00:00:00 2001
From: Natanael Copa <ncopa@alpinelinux.org>
Date: Fri, 25 Dec 2009 07:02:32 +0000
Subject: [PATCH 1/2] state: Default interactive action is Yes
When pressing only <enter> on the question "..continue [Y/n]?" then
lets take that as a "yes"
---
src/state.c | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/src/state.c b/src/state.c
index 94afe86..1bd29bf 100644
--- a/src/state.c
+++ b/src/state.c
@@ -771,7 +771,7 @@ int apk_state_commit(struct apk_state *state,
printf("Do you want to continue [Y/n]? ");
fflush(stdout);
r = fgetc(stdin);
- if (r != 'y' && r != 'Y')
+ if (r != 'y' && r != 'Y' && r != '\n')
return -1;
}
}
--
1.6.5.7
From 3f9fe4c28be7987bd404f06e27ed03aafd8e8b52 Mon Sep 17 00:00:00 2001
From: Timo Teras <timo.teras@iki.fi>
Date: Fri, 25 Dec 2009 14:14:40 +0200
Subject: [PATCH 2/2] db: keep packages with no files with installed status
got broke few commits ago when apk_pkg_installed() call was
moved to happen after the package name has been read.
---
src/database.c | 16 ++++++++++------
1 files changed, 10 insertions(+), 6 deletions(-)
diff --git a/src/database.c b/src/database.c
index 5118f5c..2fcb275 100644
--- a/src/database.c
+++ b/src/database.c
@@ -587,17 +587,21 @@ int apk_db_index_read(struct apk_database *db, struct apk_bstream *bs, int repo)
}
/* Standard index line? */
- if (apk_pkg_add_info(db, pkg, field, l) == 0)
+ if (apk_pkg_add_info(db, pkg, field, l) == 0) {
+ if (repo == -1 && field == 'S') {
+ /* Instert to installed database; this needs to
+ * happen after package name has been read, but
+ * before first FDB entry. */
+ ipkg = apk_pkg_install(db, pkg);
+ diri_node = hlist_tail_ptr(&ipkg->owned_dirs);
+ }
continue;
+ }
- if (repo != -1) {
+ if (repo != -1 || ipkg == NULL) {
apk_error("Invalid index entry '%c'", field);
return -1;
}
- if (ipkg == NULL) {
- ipkg = apk_pkg_install(db, pkg);
- diri_node = hlist_tail_ptr(&ipkg->owned_dirs);
- }
/* Check FDB special entries */
switch (field) {
--
1.6.5.7
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apk-tools
pkgver=2.0_rc7
pkgrel=0
pkgver=2.0
pkgrel=1
pkgdesc="Alpine Package Keeper - package manager for alpine"
subpackages="$pkgname-static"
depends=
makedepends="zlib-dev openssl-dev pkgconfig"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
0001-state-Default-interactive-action-is-Yes.patch
0002-db-keep-packages-with-no-files-with-installed-status.patch
"
......@@ -40,4 +42,6 @@ static() {
"$subpkgdir"/sbin/apk.static
}
md5sums="8654e4e4e32ead79560890567caaea5e apk-tools-2.0_rc7.tar.bz2"
md5sums="dc827e62065c940bbcec1c93099a5718 apk-tools-2.0.tar.bz2
36e514cbc781759dbb6eb84e35f6072d 0001-state-Default-interactive-action-is-Yes.patch
180368300d46c5b6de0d5eb43d90547e 0002-db-keep-packages-with-no-files-with-installed-status.patch"
--- 1.6.0/channels/chan_sip.c 2009/12/10 16:24:36 234130
+++ 1.6.0/channels/chan_sip.c 2009/12/10 16:30:22 234131
@@ -4523,6 +4523,9 @@
ast_queue_control(p->owner, AST_CONTROL_CONGESTION);
ast_channel_unlock(p->owner);
}
+
+ /* Give the channel a chance to act before we proceed with destruction */
+ sip_scheddestroy(p, DEFAULT_TRANS_TIMEOUT);
}
sip_pvt_unlock(p);
return 0;
@@ -5186,19 +5189,20 @@
if (needcancel) { /* Outgoing call, not up */
if (ast_test_flag(&p->flags[0], SIP_OUTGOING)) {
/* stop retransmitting an INVITE that has not received a response */
- struct sip_pkt *cur;
- for (cur = p->packets; cur; cur = cur->next) {
- __sip_semi_ack(p, cur->seqno, cur->is_resp, cur->method ? cur->method : find_sip_method(cur->data));
- }
-
/* if we can't send right now, mark it pending */
if (p->invitestate == INV_CALLING) {
/* We can't send anything in CALLING state */
ast_set_flag(&p->flags[0], SIP_PENDINGBYE);
- /* Do we need a timer here if we don't hear from them at all? */
+ __sip_pretend_ack(p);
+ /* Do we need a timer here if we don't hear from them at all? Yes we do or else we will get hung dialogs and those are no fun. */
sip_scheddestroy(p, DEFAULT_TRANS_TIMEOUT);
append_history(p, "DELAY", "Not sending cancel, waiting for timeout");
} else {
+ struct sip_pkt *cur;
+
+ for (cur = p->packets; cur; cur = cur->next) {
+ __sip_semi_ack(p, cur->seqno, cur->is_resp, cur->method ? cur->method : find_sip_method(cur->data));
+ }
p->invitestate = INV_CANCELLED;
/* Send a new request: CANCEL */
transmit_request(p, SIP_CANCEL, p->lastinvite, XMIT_RELIABLE, FALSE);
# Contributor: Timo Teras <timo.teras@iki.fi>
# Maintainer: Timo Teras <timo.teras@iki.fi>
pkgname=asterisk
pkgver=1.6.0.19
pkgrel=0
pkgver=1.6.0.20
pkgrel=1
pkgdesc="Asterisk: A Module Open Source PBX System"
url="http://www.asterisk.org/"
license="GPL"
depends=
makedepends="autoconf automake libtool ncurses-dev popt-dev newt-dev zlib-dev
postgresql-dev unixodbc-dev dahdi-tools-dev libpri-dev tar
freetds-dev openssl-dev lua-dev"
freetds-dev openssl-dev lua-dev alsa-lib-dev"
install="$pkgname.pre-install $pkgname.pre-upgrade $pkgname.post-install"
subpackages="$pkgname-dev $pkgname-doc $pkgname-pgsql $pkgname-odbc
$pkgname-tds"
......@@ -20,6 +20,7 @@ source="http://downloads.digium.com/pub/asterisk/releases/$pkgname-$pkgver.tar.g
103-rundir.patch
201-incomplete.patch
301-libpri-autoconf.patch
400-destroy-no-response-234131.patch
asterisk.initd
asterisk.confd
asterisk.logrotate"
......@@ -45,6 +46,7 @@ build() {
--without-iconv --with-popt --with-z --with-newt \
--with-odbc --with-postgres --with-tds \
--with-dahdi --with-pri --with-tonezone \
--with-asound \
--without-x11 \
|| return 1
......@@ -89,13 +91,14 @@ tds() {
_find_and_move '*_tds*'
}
md5sums="0cc80b05d2af374fb5e397513959a206 asterisk-1.6.0.19.tar.gz
md5sums="649c905c897824cebcf9bc2cee1f9398 asterisk-1.6.0.20.tar.gz
b00c9d98ce2ad445501248a197c6e436 100-uclibc-daemon.patch
6e1129e30c4fd2c25c86c81685a485a9 101-caps-uclibc.patch
97b39fd9777a2521d4f9f095482b7ac2 102-gsm-pic.patch
5008f51c737ec91f5047519bc9f25b85 103-rundir.patch
57825b74526187075ff7cb6816c55467 201-incomplete.patch
5771a5ab34b187dbfe8e23950b04213b 301-libpri-autoconf.patch
e35d40d688f6e4e4034c7aca8f955f46 400-destroy-no-response-234131.patch
0ce3219e05f55af884a7dc6b99c2b276 asterisk.initd
ed31d7ba37bcf8b0346dcf8593c395f0 asterisk.confd
3e65172275684373e1a25c8a11224411 asterisk.logrotate"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=binutils
pkgver=2.19.51.0.9
pkgver=2.20.51.0.4
pkgdesc="Tools necessary to build programs"
url=http://sources.redhat.com/binutils
source=ftp://ftp.kernel.org/pub/linux/devel/binutils/$pkgname-$pkgver.tar.bz2
source="http://ftp.kernel.org/pub/linux/devel/binutils/$pkgname-$pkgver.tar.bz2"
depends=
makedepends="bison flex texinfo zlib-dev"
license="GPL"
......@@ -21,6 +21,10 @@ build() {
--disable-nls
make || return 1
}
package() {
cd "$srcdir/$pkgname-$pkgver"
make install DESTDIR="$pkgdir"
}
md5sums="023a3d0f50a18fdebcd5b0a50c8e41ad binutils-2.19.51.0.9.tar.bz2"
md5sums="efcc89be7573fd3d8ec55236eebdf528 binutils-2.20.51.0.4.tar.bz2"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.15.2
pkgver=1.15.3
pkgrel=1
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
......@@ -37,6 +37,10 @@ build() {
make silentoldconfig || return 1
make || return 1
}
package() {
cd "$srcdir"/$pkgname-$pkgver
make install DESTDIR="$pkgdir"
mkdir -p "$pkgdir"/usr/sbin "$pkgdir"/usr/bin "$pkgdir"/tmp \
"$pkgdir"/var/cache/misc
......@@ -45,8 +49,8 @@ build() {
ln -s /bin/busybox "$pkgdir"/bin/sh
}
md5sums="d5653e5b74b17dbb1eeecda8b8f22c0a busybox-1.15.2.tar.bz2
md5sums="6059ac9456de6fb18dc8ee4cd0ec9240 busybox-1.15.3.tar.bz2
4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
f928cadef10307c2f14202cfaf3c038c 0001-mount-move-resolve_mount_spec-to-volume_id.patch
82310729ab41d703f3584bc9920dd712 0002-swaponoff-add-uuid-label-support.patch
18c1ae8997b2a609f0633a01472060ed busyboxconfig"
100c71e6176483bd216e9754da4d6bba busyboxconfig"
#
# Automatically generated make config: don't edit
# Busybox version: 1.15.2
# Mon Oct 12 12:19:43 2009
# Busybox version: 1.15.3
# Wed Dec 16 14:03:36 2009
#
CONFIG_HAVE_DOT_CONFIG=y
......@@ -35,7 +35,7 @@ CONFIG_FEATURE_SUID=y
# CONFIG_FEATURE_PREFER_APPLETS is not set
CONFIG_BUSYBOX_EXEC_PATH="/bin/busybox"
CONFIG_FEATURE_SYSLOG=y
CONFIG_FEATURE_HAVE_RPC=y
# CONFIG_FEATURE_HAVE_RPC is not set
#
# Build Options
......@@ -534,7 +534,7 @@ CONFIG_FEATURE_MOUNT_FAKE=y
CONFIG_FEATURE_MOUNT_VERBOSE=y
CONFIG_FEATURE_MOUNT_HELPERS=y
CONFIG_FEATURE_MOUNT_LABEL=y
CONFIG_FEATURE_MOUNT_NFS=y
# CONFIG_FEATURE_MOUNT_NFS is not set
CONFIG_FEATURE_MOUNT_CIFS=y
CONFIG_FEATURE_MOUNT_FLAGS=y
CONFIG_FEATURE_MOUNT_FSTAB=y
......@@ -717,7 +717,7 @@ CONFIG_NC_EXTRA=y
CONFIG_NETSTAT=y
CONFIG_FEATURE_NETSTAT_WIDE=y
CONFIG_FEATURE_NETSTAT_PRG=y
CONFIG_NSLOOKUP=y
# CONFIG_NSLOOKUP is not set
CONFIG_PING=y
CONFIG_PING6=y
CONFIG_FEATURE_FANCY_PING=y
......
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=c-ares
pkgver=1.6.0
pkgrel=1
pkgver=1.7.0
pkgrel=0
pkgdesc="An asynchronously DNS/names resolver library"
url="http://c-ares.haxx.se/"
license="GPL"
depends="uclibc"
makedepends=""
depends=
makedepends=
subpackages="$pkgname-doc $pkgname-dev"
source="http://c-ares.haxx.se/${pkgname}-${pkgver}.tar.gz"
......@@ -19,8 +19,11 @@ build() {
--infodir=/usr/share/info \
--enable-shared
make || return 1
make DESTDIR="$pkgdir" install
}
md5sums="4503b0db3dd79d3c1f58d87722dbab46 c-ares-1.6.0.tar.gz"
package() {
cd "$srcdir/$pkgname-$pkgver"
make DESTDIR="$pkgdir" install
}
md5sums="15ab7852306b554b0b1145f41005a3bb c-ares-1.7.0.tar.gz"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=cgit
pkgver=0.8.3
pkgver=0.8.3.1
pkgrel=0
_gitver=1.6.4.3
pkgdesc="a fast webinterface for git"
......@@ -33,5 +33,5 @@ package() {
ln -s cgit.cgi "$pkgdir"/usr/share/webapps/cgit/cgit
}
md5sums="38477bd00d3901a82fcf47e3b30d174f cgit-0.8.3.tar.bz2
md5sums="cc61989f702ce77e56137be67e01f3ed cgit-0.8.3.1.tar.bz2
4af70ff9b8f209704059f7ef96127236 git-1.6.4.3.tar.bz2"
......@@ -34,6 +34,7 @@ source="http://downloads.digium.com/pub/telephony/dahdi-linux/releases/${_realna
zaphfc-dahdi-flortz.diff
dahdi-linux-2.2.0-hfc-4s.patch
dahdi-2.6.31.patch
dahdi-2.2.0.2-driver_data-2.6.32.patch
"
prepare() {
......@@ -75,4 +76,5 @@ c78fb8d80f9efdffd950297c88ff9273 dahdi-depmod.patch
a822c092f0548cd13f5e8d8cba053af6 dahdi-zaphfc.patch
291c5c44c86ab02443a742415461ddca zaphfc-dahdi-flortz.diff
68dfe17a49cca15ae439fd83f4ccfbc5 dahdi-linux-2.2.0-hfc-4s.patch
bd5e7457ee8f37c10ed7ec383995e4fa dahdi-2.6.31.patch"
bd5e7457ee8f37c10ed7ec383995e4fa dahdi-2.6.31.patch
7f9452ef37385e03e05147081d6951a1 dahdi-2.2.0.2-driver_data-2.6.32.patch"
diff -uNr dahdi-linux-2.2.0.2.ORIg/drivers/dahdi/xpp/xbus-sysfs.c dahdi-linux-2.2.0.2/drivers/dahdi/xpp/xbus-sysfs.c
--- dahdi-linux-2.2.0.2.ORIg/drivers/dahdi/xpp/xbus-sysfs.c 2009-10-22 18:04:47.000000000 +0100
+++ dahdi-linux-2.2.0.2/drivers/dahdi/xpp/xbus-sysfs.c 2009-10-22 18:05:54.000000000 +0100
@@ -707,7 +707,11 @@
dev->parent = &xbus->astribank;
dev_set_name(dev, "%02d:%1x:%1x", xbus->num, xpd->addr.unit,
xpd->addr.subunit);
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
+ dev_set_drvdata(dev, xpd);
+#else
dev->driver_data = xpd;
+#endif
dev->release = xpd_release;
ret = device_register(dev);
if(ret) {
@@ -728,11 +732,21 @@
BUG_ON(!xbus);
XPD_DBG(DEVICES, xpd, "SYSFS\n");
dev = &xpd->xpd_dev;
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
+ if(!dev_get_drvdata(dev))
+ return;
+ BUG_ON(dev_get_drvdata(dev) != xpd);
+#else
if(!dev->driver_data)
return;
BUG_ON(dev->driver_data != xpd);
+#endif
device_unregister(dev);
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
+ dev_set_drvdata(dev, NULL);
+#else
dev->driver_data = NULL;
+#endif
}
/*--------- Sysfs Device handling ----*/
@@ -746,9 +760,15 @@
astribank = &xbus->astribank;
BUG_ON(!astribank);
sysfs_remove_link(&astribank->kobj, "transport");
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
+ if(!dev_get_drvdata(astribank))
+ return;
+ BUG_ON(dev_get_drvdata(astribank) != xbus);
+#else
if(!astribank->driver_data)
return;
BUG_ON(astribank->driver_data != xbus);
+#endif
device_unregister(&xbus->astribank);
}
@@ -764,18 +784,30 @@
astribank->bus = &toplevel_bus_type;
astribank->parent = xbus->transport.transport_device;
dev_set_name(astribank, "xbus-%02d", xbus->num);
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
+ dev_set_drvdata(astribank, xbus);
+#else
astribank->driver_data = xbus;
+#endif
astribank->release = astribank_release;
ret = device_register(astribank);
if(ret) {
XBUS_ERR(xbus, "%s: device_register failed: %d\n", __FUNCTION__, ret);
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
+ dev_set_drvdata(astribank, NULL);
+#else
astribank->driver_data = NULL;
+#endif
goto out;
}
ret = sysfs_create_link(&astribank->kobj, &astribank->parent->kobj, "transport");
if(ret < 0) {
XBUS_ERR(xbus, "%s: sysfs_create_link failed: %d\n", __FUNCTION__, ret);
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,32)
+ dev_set_drvdata(astribank, NULL);
+#else
astribank->driver_data = NULL;
+#endif
goto out;
}
out:
......@@ -2,7 +2,7 @@
pkgname=dhcp
pkgver=4.1.0_p1
_realver=4.1.0p1
pkgrel=4
pkgrel=5
pkgdesc="ISC Dynamic Host Configuration Protocol (DHCP)"
url="https://www.isc.org/"
license="GPL"
......@@ -12,13 +12,18 @@ install="dhcp.pre-install dhcp.post-install dhcp.pre-upgrade dhcp.post-upgrade"
subpackages="$pkgname-doc $pkgname-dev dhclient"
source="http://ftp.isc.org/isc/dhcp/$pkgname-$_realver.tar.gz
linux_ipv6_discover.patch
dhcp-3.0-fix-perms.patch
dhcpd.confd
dhcpd.initd"
build() {
prepare() {
cd "$srcdir/$pkgname-$_realver"
patch -p1 -i "$srcdir"/dhcp-3.0-fix-perms.patch || return 1
patch -p1 -i ../linux_ipv6_discover.patch || return 1
}
build() {
cd "$srcdir/$pkgname-$_realver"
./configure --prefix=/usr \
--sysconfdir=/etc/dhcp \
--with-cli-pid-file=/var/run/dhcp/dhclient.pid \
......@@ -31,6 +36,10 @@ build() {
--mandir=/usr/share/man \
--infodir=/usr/share/info
make || return 1
}
package() {
cd "$srcdir/$pkgname-$_realver"
make DESTDIR="$pkgdir" install
install -m755 -D "$srcdir"/dhcpd.initd "$pkgdir"/etc/init.d/dhcpd
......@@ -51,5 +60,6 @@ dhclient() {
md5sums="325ff8338c5a21f89d5304ac13ffebdf dhcp-4.1.0p1.tar.gz
37abf1fb047a353e91b022fafdabf39a linux_ipv6_discover.patch
a9eaf182dae3984670da52f20ae10fba dhcp-3.0-fix-perms.patch
df32707f5bbe5363306420b5dc6e6b40 dhcpd.confd
be2259371681bd4ab8a577b1b1a989ae dhcpd.initd"
--- a/server/dhcpd.c 2003-11-05 14:08:09.000000000 -0800
+++ b/server/dhcpd.c 2003-11-05 14:15:32.000000000 -0800
@@ -602,6 +602,12 @@
if (lftest)
exit (0);
+#if defined (PARANOIA)
+ /* Set proper permissions... */
+ if (lchown (path_dhcpd_db, set_uid, set_gid))
+ log_fatal ("lchown(%s, %d, %d): %m", path_dhcpd_db, (int) set_uid, (int) set_gid);
+#endif /* PARANOIA */
+
/* Discover all the network interfaces and initialize them. */
discover_interfaces (DISCOVER_SERVER);
# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dovecot
pkgver=1.2.8
pkgver=1.2.9
pkgrel=0
pkgdesc="IMAP and POP3 server"
url="http://www.dovecot.org/"
......@@ -65,5 +65,5 @@ sqlite() {
_mv $(cd "$pkgdir" && find usr -name '*sqlite.so')
}
md5sums="c6d6c061413d299ccea7b55c3e4faa0a dovecot-1.2.8.tar.gz
md5sums="036ff97fb248dae3bd4b796a0644634f dovecot-1.2.9.tar.gz
c58b474dca20e6e60fa4f1f5b9c726e1 dovecot.initd"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=espeak
pkgver=1.40.02
pkgver=1.42.04
pkgrel=0
pkgdesc="Speech synthesizer for English and other languages"
url="http://espeak.sourceforge.net/"
license="GPL-3"
subpackages="$pkgname-dev"
depends="uclibc uclibc++"
makedepends="uclibc++-dev"
source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver-source.zip
$pkgname-$pkgver-uclibc++.patch"
depends=
makedepends=
source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver-source.zip"
build() {
local s="$srcdir"/$pkgname-$pkgver-source
cd "$s"
for i in ../*.patch; do
msg "Applying $i..."
patch -p1 < $i || return 1
done
export CXX=g++-uc
cd src
make CXXFLAGS="${CXXFLAGS}" AUDIO=none all || return 1
_builddir="$srcdir"/$pkgname-$pkgver-source
msg "Fixing byte order of phoneme data files"
cd "$s"/platforms/big_endian
make
./espeak-phoneme-data "$s"/espeak-data
cp -f phondata phonindex phontab "$s"/espeak-data
cd "$s"/src
make DESTDIR="$pkgdir" AUDIO=none install || return 1
build() {
cd "$_builddir"/src
make AUDIO=none || return 1
}
cd "$s"
install -d "$pkgdir"/usr/share/espeak-data
cp -r dictsource "$pkgdir"/usr/share/espeak-data
package() {
cd "$_builddir"/src
make AUDIO=none DESTDIR="$pkgdir" install || return 1
}
md5sums="708954b44c526e8174df8b88a6382738 espeak-1.40.02-source.zip
c13bb95088c5777b4d3e5ea10ca37517 espeak-1.40.02-uclibc++.patch"
md5sums="a4cbbe5f2e2a37ccc0aa1a687a6e4c11 espeak-1.42.04-source.zip"
--- espeak-1.40.02-source.orig/src/Makefile 2008-12-26 10:11:49 +0000
+++ espeak-1.40.02-source/src/Makefile 2008-12-26 10:27:48 +0000
@@ -60,15 +60,15 @@
SRCS1=$(speak_SOURCES)
OBJS1=$(patsubst %.cpp,%.o,$(SRCS1))
-LIBS1=-lstdc++ $(LIB_AUDIO) -lpthread $(EXTRA_LIBS)
+LIBS1=-lm $(LIB_AUDIO) -lpthread $(EXTRA_LIBS)
SRCS2=$(libespeak_SOURCES)
OBJS2=$(patsubst %.cpp,x_%.o,$(SRCS2))
-LIBS2=-lstdc++ $(LIB_AUDIO) -lpthread
+LIBS2=-lm $(LIB_AUDIO) -lpthread
SRCS3 = espeak.cpp
OBJS3=$(patsubst %.cpp,%.o,$(SRCS3))
-LIBS3=-lstdc++ -L . -lespeak
+LIBS3=-L . -lespeak -lpthread
CXXFLAGS=-O2
# Contributor: Michael Mason <ms13sp@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=fetchmail
pkgver=6.3.9
pkgrel=4
pkgver=6.3.13
pkgrel=0
pkgdesc="A remote-mail retrieval and forwarding utility"
url="http://fetchmail.berlios.de/"
license="GPL"
......@@ -22,6 +22,10 @@ build() {
--with-ssl \
--disable-nls
make || return 1